CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-3996

Heap-based buffer overflow in IN_MOD.DLL (aka the Module Decoder Plug-in) in Winamp before 5.57, and libmikmod 3.1.12, might allow remote attackers to execute arbitrary code via an Ultratracker file.
Publish Date : 2009-12-18 Last Update Date : 2011-01-06
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
9.3
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 119

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate
5.1
AV:N/AC:H/Au:N/C:P/I:P/A:P 2010-03-28 2010-02-05
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2009-3996 oval:org.opensuse.security:def:20093996 unix
DSA-2071 libmikmod -- buffer overflows oval:org.mitre.oval:def:11794 unix
DSA-2071-1 libmikmod -- buffer overflows oval:org.mitre.oval:def:13301 unix
ELSA-2010:0720: mikmod security update (Moderate) oval:org.mitre.oval:def:23114 unix
RHSA-2010:0720: mikmod security update (Moderate) oval:com.redhat.rhsa:def:20100720 unix
RHSA-2010:0720: mikmod security update (Moderate) oval:org.mitre.oval:def:22080 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-3996

# Product Type Vendor Product Version Update Edition Language
1 Application Nullsoft Winamp 0.20a Version Details Vulnerabilities
2 Application Nullsoft Winamp 0.92 Version Details Vulnerabilities
3 Application Nullsoft Winamp 1.006 Version Details Vulnerabilities
4 Application Nullsoft Winamp 1.90 Version Details Vulnerabilities
5 Application Nullsoft Winamp 2.0 Version Details Vulnerabilities
6 Application Nullsoft Winamp 2.4 Version Details Vulnerabilities
7 Application Nullsoft Winamp 2.5e Version Details Vulnerabilities
8 Application Nullsoft Winamp 2.6 Version Details Vulnerabilities
9 Application Nullsoft Winamp 2.6x Version Details Vulnerabilities
10 Application Nullsoft Winamp 2.7x Version Details Vulnerabilities
11 Application Nullsoft Winamp 2.9 Version Details Vulnerabilities
12 Application Nullsoft Winamp 2.10 Version Details Vulnerabilities
13 Application Nullsoft Winamp 2.24 Version Details Vulnerabilities
14 Application Nullsoft Winamp 2.50 Version Details Vulnerabilities
15 Application Nullsoft Winamp 2.60 Version Details Vulnerabilities
16 Application Nullsoft Winamp 2.60 Full Version Details Vulnerabilities
17 Application Nullsoft Winamp 2.60 Lite Version Details Vulnerabilities
18 Application Nullsoft Winamp 2.61 Version Details Vulnerabilities
19 Application Nullsoft Winamp 2.61 Full Version Details Vulnerabilities
20 Application Nullsoft Winamp 2.62 Standard Version Details Vulnerabilities
21 Application Nullsoft Winamp 2.62 Version Details Vulnerabilities
22 Application Nullsoft Winamp 2.64 Version Details Vulnerabilities
23 Application Nullsoft Winamp 2.64 Standard Version Details Vulnerabilities
24 Application Nullsoft Winamp 2.65 Version Details Vulnerabilities
25 Application Nullsoft Winamp 2.70 Version Details Vulnerabilities
26 Application Nullsoft Winamp 2.70 Full Version Details Vulnerabilities
27 Application Nullsoft Winamp 2.71 Version Details Vulnerabilities
28 Application Nullsoft Winamp 2.72 Version Details Vulnerabilities
29 Application Nullsoft Winamp 2.73 Version Details Vulnerabilities
30 Application Nullsoft Winamp 2.73 Full Version Details Vulnerabilities
31 Application Nullsoft Winamp 2.74 Version Details Vulnerabilities
32 Application Nullsoft Winamp 2.75 Version Details Vulnerabilities
33 Application Nullsoft Winamp 2.76 Version Details Vulnerabilities
34 Application Nullsoft Winamp 2.77 Version Details Vulnerabilities
35 Application Nullsoft Winamp 2.78 Version Details Vulnerabilities
36 Application Nullsoft Winamp 2.79 Version Details Vulnerabilities
37 Application Nullsoft Winamp 2.80 Version Details Vulnerabilities
38 Application Nullsoft Winamp 2.81 Version Details Vulnerabilities
39 Application Nullsoft Winamp 2.90 Version Details Vulnerabilities
40 Application Nullsoft Winamp 2.91 Version Details Vulnerabilities
41 Application Nullsoft Winamp 2.92 Version Details Vulnerabilities
42 Application Nullsoft Winamp 2.95 Version Details Vulnerabilities
43 Application Nullsoft Winamp 3.0 Version Details Vulnerabilities
44 Application Nullsoft Winamp 3.1 Version Details Vulnerabilities
45 Application Nullsoft Winamp 5.0 Version Details Vulnerabilities
46 Application Nullsoft Winamp 5.0.1 Version Details Vulnerabilities
47 Application Nullsoft Winamp 5.0.2 Version Details Vulnerabilities
48 Application Nullsoft Winamp 5.1 Version Details Vulnerabilities
49 Application Nullsoft Winamp 5.01 Version Details Vulnerabilities
50 Application Nullsoft Winamp 5.1 - Surround Version Details Vulnerabilities
51 Application Nullsoft Winamp 5.2 Version Details Vulnerabilities
52 Application Nullsoft Winamp 5.02 Version Details Vulnerabilities
53 Application Nullsoft Winamp 5.03a Version Details Vulnerabilities
54 Application Nullsoft Winamp 5.03 Version Details Vulnerabilities
55 Application Nullsoft Winamp 5.3 Version Details Vulnerabilities
56 Application Nullsoft Winamp 5.04 Version Details Vulnerabilities
57 Application Nullsoft Winamp 5.05 Version Details Vulnerabilities
58 Application Nullsoft Winamp 5.5 Version Details Vulnerabilities
59 Application Nullsoft Winamp 5.06 Version Details Vulnerabilities
60 Application Nullsoft Winamp 5.07 Version Details Vulnerabilities
61 Application Nullsoft Winamp 5.08e Version Details Vulnerabilities
62 Application Nullsoft Winamp 5.08d Version Details Vulnerabilities
63 Application Nullsoft Winamp 5.08 C Version Details Vulnerabilities
64 Application Nullsoft Winamp 5.08c Version Details Vulnerabilities
65 Application Nullsoft Winamp 5.08 D Version Details Vulnerabilities
66 Application Nullsoft Winamp 5.08 Version Details Vulnerabilities
67 Application Nullsoft Winamp 5.08 E Version Details Vulnerabilities
68 Application Nullsoft Winamp 5.09 Version Details Vulnerabilities
69 Application Nullsoft Winamp 5.11 Version Details Vulnerabilities
70 Application Nullsoft Winamp 5.12 Version Details Vulnerabilities
71 Application Nullsoft Winamp 5.13 Version Details Vulnerabilities
72 Application Nullsoft Winamp 5.21 Version Details Vulnerabilities
73 Application Nullsoft Winamp 5.22 Version Details Vulnerabilities
74 Application Nullsoft Winamp 5.23 Version Details Vulnerabilities
75 Application Nullsoft Winamp 5.24 Version Details Vulnerabilities
76 Application Nullsoft Winamp 5.31 Version Details Vulnerabilities
77 Application Nullsoft Winamp 5.32 Version Details Vulnerabilities
78 Application Nullsoft Winamp 5.33 Version Details Vulnerabilities
79 Application Nullsoft Winamp 5.34 Version Details Vulnerabilities
80 Application Nullsoft Winamp 5.35 Version Details Vulnerabilities
81 Application Nullsoft Winamp 5.36 Version Details Vulnerabilities
82 Application Nullsoft Winamp 5.51 Version Details Vulnerabilities
83 Application Nullsoft Winamp 5.52 Version Details Vulnerabilities
84 Application Nullsoft Winamp 5.53 Version Details Vulnerabilities
85 Application Nullsoft Winamp 5.54 Version Details Vulnerabilities
86 Application Nullsoft Winamp 5.55 Version Details Vulnerabilities
87 Application Nullsoft Winamp 5.56 Version Details Vulnerabilities
88 Application Nullsoft Winamp 5.091 Version Details Vulnerabilities
89 Application Nullsoft Winamp 5.093 Version Details Vulnerabilities
90 Application Nullsoft Winamp 5.094 Version Details Vulnerabilities
91 Application Nullsoft Winamp 5.111 Version Details Vulnerabilities
92 Application Nullsoft Winamp 5.112 Version Details Vulnerabilities
93 Application Nullsoft Winamp 5.531 Version Details Vulnerabilities
94 Application Nullsoft Winamp 5.541 Version Details Vulnerabilities
95 Application Nullsoft Winamp 5.551 Version Details Vulnerabilities
96 Application Nullsoft Winamp 5.552 Version Details Vulnerabilities
97 Application Raphael Assenat Libmikmod 3.1.12 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Nullsoft Winamp 96
Raphael Assenat Libmikmod 1

- References For CVE-2009-3996

http://forums.winamp.com/showthread.php?threadid=315355 CONFIRM
http://www.vupen.com/english/advisories/2009/3575
VUPEN ADV-2009-3575
http://lists.opensuse.org/opensuse-security-announce/2010-05/msg00001.html
SUSE SUSE-SR:2010:011
http://secunia.com/secunia_research/2009-55/
http://secunia.com/advisories/37495
SECUNIA 37495
http://secunia.com/secunia_research/2009-56/
http://www.vupen.com/english/advisories/2010/1107
VUPEN ADV-2010-1107
http://www.mandriva.com/security/advisories?name=MDVSA-2010:151
MANDRIVA MDVSA-2010:151
http://www.securityfocus.com/bid/37374
BID 37374 Winamp and libmikmod Module Decoder Plugin Multiple Buffer Overflow Vulnerabilities Release Date:2010-09-29
http://www.securityfocus.com/archive/1/archive/1/508528/100/0/threaded
BUGTRAQ 20091217 Secunia Research: Winamp Ultratracker File Parsing Buffer Overflow

- Metasploit Modules Related To CVE-2009-3996

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.